# element-web

![Version: 1.11.0](https://img.shields.io/badge/Version-1.11.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v1.11.25](https://img.shields.io/badge/AppVersion-v1.11.25-informational?style=flat-square)

Communicate the way you want with Riot - a universal secure chat app entirely under your control.

**Homepage:** <https://element.io/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/vector-im/element-web>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| configjson.brand | string | `"element"` |  |
| configjson.bug_report_endpoint_url | string | `"https://element.io/bugreports/submit"` |  |
| configjson.defaultCountryCode | string | `"GB"` |  |
| configjson.default_federate | bool | `true` |  |
| configjson.default_theme | string | `"light"` |  |
| configjson.disable_3pid_login | bool | `false` |  |
| configjson.disable_custom_urls | bool | `false` |  |
| configjson.disable_guests | bool | `false` |  |
| configjson.disable_login_language_selector | bool | `false` |  |
| configjson.enable_presence_by_hs_url."https://matrix-client.matrix.org" | bool | `false` |  |
| configjson.enable_presence_by_hs_url."https://matrix.org" | bool | `false` |  |
| configjson.features.feature_custom_status | string | `"labs"` |  |
| configjson.features.feature_custom_tags | string | `"labs"` |  |
| configjson.features.feature_pinning | string | `"labs"` |  |
| configjson.features.feature_state_counters | string | `"labs"` |  |
| configjson.integrations_jitsi_widget_url | string | `"https://scalar.vector.im/api/widgets/jitsi.html"` |  |
| configjson.integrations_rest_url | string | `"https://scalar.vector.im/api"` |  |
| configjson.integrations_ui_url | string | `"https://scalar.vector.im/"` |  |
| configjson.integrations_widgets_urls[0] | string | `"https://scalar.vector.im/_matrix/integrations/v1"` |  |
| configjson.integrations_widgets_urls[1] | string | `"https://scalar.vector.im/api"` |  |
| configjson.integrations_widgets_urls[2] | string | `"https://scalar-staging.vector.im/_matrix/integrations/v1"` |  |
| configjson.integrations_widgets_urls[3] | string | `"https://scalar-staging.vector.im/api"` |  |
| configjson.piwik.siteId | int | `1` |  |
| configjson.piwik.url | string | `"https://piwik.element.io/"` |  |
| configjson.piwik.whitelistedHSUrls[0] | string | `"https://matrix.org"` |  |
| configjson.piwik.whitelistedISUrls[0] | string | `"https://vector.im"` |  |
| configjson.piwik.whitelistedISUrls[1] | string | `"https://matrix.org"` |  |
| configjson.roomDirectory.servers[0] | string | `"matrix.org"` |  |
| configjson.settingDefaults.breadcrumbs | bool | `true` |  |
| configjson.showLabsSettings | bool | `false` |  |
| configjson.welcomeUserId | string | `"@element-bot:matrix.org"` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"vectorim/element-web"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
